> For the complete documentation index, see [llms.txt](https://en.docs.klipwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.klipwallet.com/tutorial.md).

# Tutorial

Klip API Tutorials consist of Card Minting REST API and App2App REST API.

## Card Minting API

Card Minting API is a REST API for implementing the functions to mint, send, delete and manage Klip Cards (NFT). The Card Minting API tutorial provides detailed instructions to help you sign in, manage accounts, and mint, send and manage Cards.

## App2App API

App2App API is an API for implementing the function to link your "BApp" with "Klip". App2App API tutorial explains this process including configuration of the environment to allow BApp to access Klip, authentication (`auth`) where a BApp sends Klip a request, sending KLAY (`send_klay`), sending token (`send_token`), sending Cards (`send_card`), and executing contracts (`execute_contract`). The App2App API tutorial deals with REST APIs.

| Item                                                   | Description                                                                             | Notes |
| ------------------------------------------------------ | --------------------------------------------------------------------------------------- | ----- |
| [Card Minting API](/tutorial/tutorial-card-minting.md) | How to mint, send and manage Klip Cards                                                 |       |
| [App2App API](/tutorial/tutorial-a2a-rest-api.md)      | How to link BApp with Klip to send Klip Cards, tokens, KLAY and initate smart contracts |       |

If you need help with this document or with Klip in general, please visit our [Developer Forum](https://forum.klaytn.com/c/klip-api/28).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://en.docs.klipwallet.com/tutorial.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
